curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/organizations \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "Federal Reserve",
"types": [
"Central Bank"
],
"countries": [
"US"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/organizations"
payload = {
"query": "Federal Reserve",
"types": ["Central Bank"],
"countries": ["US"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'Federal Reserve', types: ['Central Bank'], countries: ['US']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "F38FC4",
"name": "United States Federal Reserve",
"description": "The Federal Reserve System is the central banking system of the United States of America. It was created on December 23, 1913.",
"type": "Central Bank",
"country": "US",
"owner": "<string>"
}
],
"metadata": {
"request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
"timestamp": "2026-07-02T13:24:45.163695+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Find by details
Find organizations such as central banks, regulators, government bodies and NGOs. Search by name or description and narrow the results by type, country, ultimate parent or owner.
Authorizations
Body
Request body for finding organizations. Each field is optional. However, you must provide at least one field to perform a valid search. The values a filter accepts can be listed with GET /v1/knowledge-graph/organizations/values/{filter}.
Text query to search for organizations by name or description. Examples: 'Federal Reserve', 'European Commission'
"Federal Reserve"
Organization types, as published in the type field of results (e.g., 'Central Bank', 'Bank', 'Council')
["Central Bank"]
Country codes using the ISO 3166-1 A-2 format (e.g., 'US' for United States, 'FR' for France, 'GB' for Great Britain)
^[A-Z]{2}$["US"]
Names of the owning organization, as published in the owner field of results
["United States Government"]
Response
Successful response with organizations data
Response containing organizations results and metadata
Was this page helpful?